### Method

# Dex Promise resolve_boxed

since: 0.10

#### Declaration [src]

    void
    dex_promise_resolve_boxed (
      DexPromise* promise,
      GType boxed_type,
      gpointer instance
    )

#### Description

No description available.

Available since: 0.10

#### Parameters

`boxed_type`

  Type: `GType`

  A `GType` of `G_TYPE_BOXED`.

`instance`

  Type: `gpointer`

  The boxed value to store.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.